Adding current recipe build config
Source Link

Have installed MacVim using brew on an M1 (ARM) MacOs.

When trying to use python-mode extension the next error is shown:

[Pymode]: error: Pymode requires vim compiled with +python3 (exclusively). Most of features will be disabled.

Is it a preferred way to compile a custom MacVim to achieve that using Brew?

From current MacVim brew recipe:

    system "./configure", "--with-features=huge",
                      "--enable-multibyte",
                      "--enable-perlinterp",
                      "--enable-rubyinterp",
                      "--enable-tclinterp",
                      "--enable-terminal",
                      "--with-tlib=ncurses",
                      "--with-compiledby=Homebrew",
                      "--with-local-dir=#{HOMEBREW_PREFIX}",
                      "--enable-cscope",
                      "--enable-luainterp",
                      "--with-lua-prefix=#{Formula["lua"].opt_prefix}",
                      "--enable-luainterp",
                      "--enable-python3interp",
                      "--disable-sparkle",
                      "--with-macarchs=#{Hardware::CPU.arch}"

Have installed MacVim using brew on an M1 (ARM) MacOs.

When trying to use python-mode extension the next error is shown:

[Pymode]: error: Pymode requires vim compiled with +python3 (exclusively). Most of features will be disabled.

Is it a preferred way to compile a custom MacVim to achieve that using Brew?

Have installed MacVim using brew on an M1 (ARM) MacOs.

When trying to use python-mode extension the next error is shown:

[Pymode]: error: Pymode requires vim compiled with +python3 (exclusively). Most of features will be disabled.

Is it a preferred way to compile a custom MacVim to achieve that using Brew?

From current MacVim brew recipe:

    system "./configure", "--with-features=huge",
                      "--enable-multibyte",
                      "--enable-perlinterp",
                      "--enable-rubyinterp",
                      "--enable-tclinterp",
                      "--enable-terminal",
                      "--with-tlib=ncurses",
                      "--with-compiledby=Homebrew",
                      "--with-local-dir=#{HOMEBREW_PREFIX}",
                      "--enable-cscope",
                      "--enable-luainterp",
                      "--with-lua-prefix=#{Formula["lua"].opt_prefix}",
                      "--enable-luainterp",
                      "--enable-python3interp",
                      "--disable-sparkle",
                      "--with-macarchs=#{Hardware::CPU.arch}"
Source Link

Brew installed MacVim with excusively Python3

Have installed MacVim using brew on an M1 (ARM) MacOs.

When trying to use python-mode extension the next error is shown:

[Pymode]: error: Pymode requires vim compiled with +python3 (exclusively). Most of features will be disabled.

Is it a preferred way to compile a custom MacVim to achieve that using Brew?